<?
/**
 * VoiceOne Webservices Registrations
 *  
 * @package voiceone_webservices
 * @subpackage Backup
 */
$server->register(
    'getBackup',
    array('name'=>'xsd:string'),
    array('return'=>'tns:BackupArray'),
    $NAMESPACE);
$server->register(
    'createBackup',
    array('label'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'delBackup',
    array('name'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'restoreBackup',
    array('name'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'uploadBackup',
    array('file_name'=>'xsd:string','file_content'=>'xsd:base64Binary'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
?>